local function init()
    game.write_file("profiler.log","rendering_pref\n",false)
    local renderings = {}
    max = 1000000
    divisor = 50
    for x=1, max do
        renderings[#renderings +1] = rendering.draw_circle{color={r=1},radius=1,filled=true,surface=game.surfaces[1],target={x=1,y=x}}
    end
    local profiler = game.create_profiler()
    game.write_file("profiler.log","is_valid\n",false)
    for x=1, max do
        if x % (max/divisor) == 0 then
            profiler.reset()
            if rendering.is_valid(renderings[x]) then end
            profiler.stop()
            game.write_file("profiler.log",'index: ' .. x .. ' / id: ' .. renderings[x] .. ' / ',true)
            game.write_file("profiler.log",profiler,true)
            game.write_file("profiler.log",'\n',true)
        end
    end
    game.write_file("profiler.log","set_color\n",false)
    for x=1, max do
        if x % (max/divisor) == 0 then
            profiler.reset()
            rendering.set_color(renderings[x],{g=1})
            profiler.stop()
            game.write_file("profiler.log",'index:' .. x .. ' / id:' .. renderings[x] .. ' / ',true)
            game.write_file("profiler.log",profiler,true)
            game.write_file("profiler.log",'\n',true)
        end
    end
    profiler.stop()
end

script.on_init(init)